petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexCreateReferenceCell

Create a DMPLEX with the appropriate FEM reference cell

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateReferenceCell(MPI_Comm comm, PetscInt dim, PetscBool simplex, DM *refdm)

Collective

### Input Parameters

| comm | - The communicator
| dim | - The spatial dimension
| simplex | - Flag for simplex, otherwise use a tensor-product cell

### Output Parameter

refdm -The reference cell

### See Also

### Level

intermediate

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages